Login
curl --request POST \
--url https://api.example.com/api/auth/login \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.example.com/api/auth/login"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.example.com/api/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"user": {
"id": "<string>",
"email": "<string>",
"nombre": {},
"apellido": {},
"telefono": {},
"email_verified": true,
"tour_version": {},
"tour_completed_at": {}
},
"error": "<string>"
}Authentication
Login
Authenticate a user and obtain access tokens
POST
/
api
/
auth
/
login
Login
Authenticates a user with email and password credentials. Returns access and refresh tokens for subsequent authenticated requests.
400 Bad Request
Authentication
No authentication required.Request Body
string
required
User’s registered email address.
string
required
User’s password.
Response
string
Success message confirming authentication.
string
JWT access token for authenticating API requests. Include this in the
Authorization header as Bearer {accessToken}.string
JWT refresh token for obtaining new access tokens when they expire.
object
The authenticated user’s information.
string
Unique user identifier.
string
User’s email address.
string | null
User’s first name.
string | null
User’s last name.
string | null
User’s phone number.
boolean
Email verification status.
string | null
Version of the product tour completed by the user.
string | null
Timestamp when the tour was completed.
Example Request
curl -X POST https://api.contafy.com/api/auth/login \
-H "Content-Type: application/json" \
-d '{
"email": "usuario@ejemplo.com",
"password": "SecurePass123!"
}'
Example Response
{
"message": "Inicio de sesión exitoso",
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_1a2b3c4d5e6f7g8h",
"email": "usuario@ejemplo.com",
"nombre": "Juan",
"apellido": "Pérez",
"telefono": "+52 55 1234 5678",
"email_verified": true,
"tour_version": "v1.0",
"tour_completed_at": "2024-01-15T10:30:00Z"
}
}
Error Responses
string
Error type identifier.
string
Human-readable error message.
Common Errors
401 Unauthorized{
"error": "INVALID_CREDENTIALS",
"message": "Email o contraseña incorrectos"
}
{
"error": "VALIDATION_ERROR",
"message": "Email y contraseña son requeridos"
}